## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           python-folium
Version:        0.19.0
Release:        %autorelease
Summary:        Python library for visualizing data on a Leaflet map

License:        MIT
URL:            https://python-visualization.github.io/folium/

# Use PyPI, since setup.py uses use_scm_version, which doesn't work with
# GitHub tarballs.
Source0:        %{pypi_source folium}

BuildArch:      noarch
# https://fedoraproject.org/wiki/Changes/EncourageI686LeafRemoval
ExcludeArch: %{ix86}

BuildRequires:  python3-devel

%global _description %{expand:
folium builds on the data wrangling strengths of the Python ecosystem and the
mapping strengths of the Leaflet.js library. Manipulate your data in Python,
then visualize it in a Leaflet map via folium.}

%description %_description

%package -n python3-folium
Summary:        %{summary}

%description -n python3-folium %_description


%prep
%autosetup -p1 -n folium-%{version}


%generate_buildrequires
%pyproject_buildrequires -r


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files folium


%check
%pyproject_check_import

# No tests here since quite a few packages for testing are not yet in Fedora
# repositories; also, tests for this package depend on an internet connection.
# $ sudo dnf install [BUILT_PACKAGE]
# $ git clone https://github.com/python-visualization/folium
# $ cd folium
# $ git checkout v[VERSION]
# $ sudo dnf install -y chromedriver conda
# $ conda create --name FOLIUM -c conda-forge python=3 --file requirements.txt --file requirements-dev.txt
# $ pip install -r requirements.txt
# $ pip install -r requirements-dev.txt
# $ pip install -e . --no-deps
# $ cd tests
# $ pytest

%files -n python3-folium -f %{pyproject_files}
%doc README.rst
%license LICENSE.txt


%changelog
## START: Generated by rpmautospec
* Tue Dec 10 2024 Packit <hello@packit.dev> - 0.19.0-1
- Update to 0.19.0 upstream release
- Resolves: rhbz#2331332

* Tue Oct 22 2024 Packit <hello@packit.dev> - 0.18.0-1
- Update to 0.18.0 upstream release
- Resolves: rhbz#2320999

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.17.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sun Jun 16 2024 Packit <hello@packit.dev> - 0.17.0-1
- Update to 0.17.0 upstream release
- Resolves: rhbz#2292589

* Sun Jun 09 2024 Python Maint <python-maint@redhat.com> - 0.16.0-4
- Rebuilt for Python 3.13

* Sat Mar 16 2024 Packit <hello@packit.dev> - 0.16.0-1
- Add ability to set font size in plot (#1879) (Josh Kirk)
- realtime plugin: allow str for JsCode arg (#1862) (Frank Anema)
- Bump pypa/gh-action-pypi-publish from 1.8.11 to 1.8.12 (dependabot[bot])
- fixed typos of examples in code (#1881) (Sabin Panta)
- add tile layer to example (#1874) (Danny McVey)
- [pre-commit.ci] auto fixes from pre-commit.com hooks (pre-commit-ci[bot])
- [pre-commit.ci] pre-commit autoupdate (pre-commit-ci[bot])
- Geojson: allow null geometry objects (#1858) (Hans Then)
- Geocoder plugin: support other built-in providers (#1852) (prusswan)
- Update README.rst (Frank Anema)
- Add leaflet-realtime plugin (#1848) (Hans Then)
- update docs version switcher json (#1855) (Frank Anema)
-  GeoJson: documentation for popup_keep_highlighted argument  (#1854) (Giuseppe Galilei)
- [pre-commit.ci] pre-commit autoupdate (pre-commit-ci[bot])
- GeoJSON: option to keep layer highlighted when popup is open (#1836) (Giuseppe Galilei)
- Bump actions/setup-python from 4 to 5 (#1843) (dependabot[bot])
- [pre-commit.ci] pre-commit autoupdate (#1842) (pre-commit-ci[bot])
- Update CHANGES.txt (Frank Anema)
- Update CHANGES.txt (Frank Anema)
- Resolves rhbz#2248188

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.14.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.14.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.14.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Mon Jul 03 2023 Python Maint <python-maint@redhat.com> - 0.14.0-4
- Rebuilt for Python 3.12

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.14.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Mon Dec 19 2022 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0.14.0-2
- Drop support for i686

* Sat Dec 17 2022 Roman Inflianskas <rominf@aiven.io> - 0.14.0-1
- Update to 0.14.0 (resolves rhbz#2152748)
- Add importability checks
- Update testing instructions

* Sat Oct 08 2022 Roman Inflianskas <rominf@aiven.io> - 1.3.0-1
- Update to 1.3.0 (resolves rhbz#2133104)
- Update testing instructions

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.12.1.20211119.post1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Wed Jun 15 2022 Python Maint <python-maint@redhat.com> - 0.12.1.20211119.post1-3
- Rebuilt for Python 3.11

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.12.1.20211119.post1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Mon Dec 20 2021 Roman Inflianskas <rominf@aiven.io> - 0.12.1.20211119.post1-1
- Initial package

## END: Generated by rpmautospec
